> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/sdk-apps/webhooks.md).

# Webhooks

## GET /sdk/apps/{SDK\_appName}/webhooks

> List App Webhooks

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Webhooks"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/webhooks":{"get":{"tags":["SDK Apps / Webhooks"],"summary":"List App Webhooks","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appWebhooks":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"type":{"type":"string"},"parameters":{"type":"object"},"app_version":{"type":"integer"}}}}}}}}}}}}}}
```

## POST /sdk/apps/{SDK\_appName}/webhooks

> Create Webhook

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Webhooks"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/webhooks":{"post":{"tags":["SDK Apps / Webhooks"],"summary":"Create Webhook","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string"},"label":{"type":"string"},"connection":{"type":"string"}}}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"Content-Type","in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appWebhook":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"type":{"type":"string"}}}}}}}}}}}}}
```

## GET /sdk/apps/webhooks/{SDK\_webhookName}

> Get Webhook

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Webhooks"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/webhooks/{SDK_webhookName}":{"get":{"tags":["SDK Apps / Webhooks"],"summary":"Get Webhook","parameters":[{"name":"SDK_webhookName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appWebhook":{"type":"object","properties":{"appName":{"type":"string"},"appVersion":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"type":{"type":"string"},"connection":{"type":"string","nullable":true},"altConnection":{"type":"string","nullable":true},"api":{"type":"object"},"parameters":{"type":"object"},"attach":{"type":"object"},"detach":{"type":"object"},"update":{"type":"object"},"scope":{"type":"object"},"changes":{"type":"object"},"aliasTo":{"type":"string","nullable":true},"endpoint":{"type":"string"},"shieldEndpoint":{"type":"string"}}}}}}}}}}}}}
```

## DELETE /sdk/apps/webhooks/{SDK\_webhookName}

> Delete Webhook

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Webhooks"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/webhooks/{SDK_webhookName}":{"delete":{"tags":["SDK Apps / Webhooks"],"summary":"Delete Webhook","parameters":[{"name":"SDK_webhookName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appWebhook":{"type":"string"}}}}}}}}}}}
```

## PATCH /sdk/apps/webhooks/{SDK\_webhookName}

> Update Webhook

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Webhooks"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/webhooks/{SDK_webhookName}":{"patch":{"tags":["SDK Apps / Webhooks"],"summary":"Update Webhook","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"label":{"type":"string"},"connection":{"type":"string","nullable":true},"altConnection":{"type":"string","nullable":true}}}}}},"parameters":[{"name":"SDK_webhookName","in":"path","schema":{"type":"string"},"required":true},{"name":"Content-Type","in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appWebhook":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"type":{"type":"string"},"connection":{"type":"string","nullable":true},"altConnection":{"type":"string","nullable":true}}}}}}}}}}}}}
```

## GET /sdk/apps/webhooks/{SDK\_webhookName}/{SDK\_webhookSection}

> Get Webhook Section

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Webhooks"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/webhooks/{SDK_webhookName}/{SDK_webhookSection}":{"get":{"tags":["SDK Apps / Webhooks"],"summary":"Get Webhook Section","parameters":[{"name":"SDK_webhookName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_webhookSection","in":"path","schema":{"type":"string","enum":["api","parameters","attach","detach","update","scope"]},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"output":{"type":"string"}}}}}}}}}}}
```

## PUT /sdk/apps/webhooks/{SDK\_webhookName}/{SDK\_webhookSection}

> Set Webhook Section

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Webhooks"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/webhooks/{SDK_webhookName}/{SDK_webhookSection}":{"put":{"tags":["SDK Apps / Webhooks"],"summary":"Set Webhook Section","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"output":{"type":"string"},"test":{"type":"boolean"}}}}}},"parameters":[{"name":"SDK_webhookName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_webhookSection","in":"path","schema":{"type":"string","enum":["api","parameters","attach","detach","update","scope"]},"required":true},{"name":"Content-Type","in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"change":{"type":"object"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/sdk-apps/webhooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
